
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.019.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker 6.30;

use File::ShareDir::Install;
$File::ShareDir::Install::INCLUDE_DOTFILES = 1;
$File::ShareDir::Install::INCLUDE_DOTDIRS = 1;
install_share dist => "share";


my %WriteMakefileArgs = (
  "ABSTRACT" => "Rinci/Riap-based command-line application framework",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "File::ShareDir::Install" => "0.06"
  },
  "DISTNAME" => "Perinci-CmdLine",
  "EXE_FILES" => [
    "bin/peri-func-usage"
  ],
  "LICENSE" => "perl",
  "NAME" => "Perinci::CmdLine",
  "PREREQ_PM" => {
    "Data::Format::Pretty::Console" => 0,
    "Data::Unixish" => "1.39",
    "File::HomeDir" => 0,
    "JSON" => 0,
    "Locale::TextDomain::UTF8" => 0,
    "Log::Any" => 0,
    "Log::Any::App" => 0,
    "Monkey::Patch::Action" => 0,
    "Moo" => 0,
    "Moo::Role" => 0,
    "Perinci::Access" => "0.38",
    "Perinci::Access::HTTP::Client" => "0.21",
    "Perinci::Access::Perl" => "0.74",
    "Perinci::Access::Schemeless" => "0.74",
    "Perinci::Access::Simple::Client" => "0.18",
    "Perinci::CmdLine::Base" => "0.36",
    "Perinci::Object" => "0.11",
    "Perinci::Result::Format" => "0.33",
    "Perinci::Sub::ConvertArgs::Argv" => 0,
    "Perinci::Sub::To::CLIOptSpec" => "0.06",
    "Perinci::Sub::Wrapper" => "0.40",
    "Perinci::ToUtil" => 0,
    "Progress::Any" => "0.13",
    "Progress::Any::Output" => 0,
    "Progress::Any::Output::TermProgressBarColor" => "0.08",
    "Rinci" => "v1.1.41",
    "SHARYANTO::Role::ColorTheme" => "0.62",
    "String::ShellQuote" => 0,
    "Text::ANSITable" => "0.23",
    "UUID::Random" => 0,
    "experimental" => 0
  },
  "TEST_REQUIRES" => {
    "File::Slurp::Tiny" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Perinci::Examples" => "0.32",
    "Test::More" => "0.98",
    "Test::Perinci::CmdLine" => 0
  },
  "VERSION" => "1.38",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Data::Format::Pretty::Console" => 0,
  "Data::Unixish" => "1.39",
  "File::HomeDir" => 0,
  "File::Slurp::Tiny" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "JSON" => 0,
  "Locale::TextDomain::UTF8" => 0,
  "Log::Any" => 0,
  "Log::Any::App" => 0,
  "Monkey::Patch::Action" => 0,
  "Moo" => 0,
  "Moo::Role" => 0,
  "Perinci::Access" => "0.38",
  "Perinci::Access::HTTP::Client" => "0.21",
  "Perinci::Access::Perl" => "0.74",
  "Perinci::Access::Schemeless" => "0.74",
  "Perinci::Access::Simple::Client" => "0.18",
  "Perinci::CmdLine::Base" => "0.36",
  "Perinci::Examples" => "0.32",
  "Perinci::Object" => "0.11",
  "Perinci::Result::Format" => "0.33",
  "Perinci::Sub::ConvertArgs::Argv" => 0,
  "Perinci::Sub::To::CLIOptSpec" => "0.06",
  "Perinci::Sub::Wrapper" => "0.40",
  "Perinci::ToUtil" => 0,
  "Progress::Any" => "0.13",
  "Progress::Any::Output" => 0,
  "Progress::Any::Output::TermProgressBarColor" => "0.08",
  "Rinci" => "v1.1.41",
  "SHARYANTO::Role::ColorTheme" => "0.62",
  "String::ShellQuote" => 0,
  "Test::More" => "0.98",
  "Test::Perinci::CmdLine" => 0,
  "Text::ANSITable" => "0.23",
  "UUID::Random" => 0,
  "experimental" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}



# modify generated Makefile to install bash completion for scripts. this piece
# is generated by Dist::Zilla::Plugin::Rinci::InstallCompletion version 0.03.
INSTALL_COMPLETION:
{
    print "Modifying Makefile to install bash completion on install\n";
    open my($fh), "<", "Makefile" or die "Can't open generated Makefile: $!";
    my $content = do { local $/; ~~<$fh> };

    $content =~ s/^(install :: pure_install doc_install)/$1 comp_install/m
        or die "Can't find pattern in Makefile (1)";

    $content =~ s/^(uninstall :: .+)/$1 comp_uninstall/m
        or die "Can't find pattern in Makefile (2)";

    $content .= qq|\ncomp_install :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    $content .= qq|\ncomp_uninstall :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--remove", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    open $fh, ">", "Makefile" or die "Can't write modified Makefile: $!";
    print $fh $content;
}
